//
//     Copyright 2006 Jim Bublitz <jbublitz@nwinternet.com>
//     Earlier copyrights 1998 - 2005 Jim Bublitz and/or Phil Thompson
//     may also apply


//                 Generated by preSip
//            module tdecore  version KDE_3_5_2

%Copying

 This software is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of
 the License, or (at your option) any later version.

 This software is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public
 License along with this library; see the file COPYING.
 If not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

%End

%Module tdecore

%Import tqt/tqtmod.sip
%Import dcopmod.sip

%Include bytearray.sip
%Include tdeaboutdata.sip
%Include tdeaccel.sip
%Include tdeaccelaction.sip
%Include tdeaccelbase.sip
%Include kallocator.sip
%Include tdeapplication.sip
%Include kasyncio.sip
%Include kaudioplayer.sip
%Include kbufferedio.sip
%Include kcatalogue.sip
%Include kcharsets.sip
%Include tdecmdlineargs.sip
%Include kcompletion.sip
%Include tdeconfig.sip
%Include tdeconfigbackend.sip
%Include tdeconfigbase.sip
%Include tdeconfigdata.sip
%Include tdecrash.sip
%Include kdcoppropertyproxy.sip
%Include tdedesktopfile.sip
%Include tdeglobal.sip
%Include tdeglobalaccel.sip
%Include tdeglobalsettings.sip
%Include kiconeffect.sip
%Include kiconloader.sip
%Include kicontheme.sip
%Include tdeinstance.sip
%Include kipc.sip
%Include kkeynative.sip
%Include kkeyserver_x11.sip
%Include klibloader.sip
%Include tdelocale.sip
%Include kmdcodec.sip
%Include kmimesourcefactory.sip
%Include tdemultipledrag.sip
%Include knotifyclient.sip
%Include kpalette.sip
%Include kpixmapprovider.sip
%Include tdeprocctrl.sip
%Include tdeprocess.sip
%Include tdeprocio.sip
%Include krandomsequence.sip
%Include kregexp.sip
%Include krfcdate.sip
%Include krootprop.sip
%Include ksavefile.sip
%Include ksharedptr.sip
%Include tdeshortcut.sip
%Include tdeshortcutlist.sip
%Include tdesimpleconfig.sip
%Include ksock.sip
%Include tdestartupinfo.sip
%Include kstaticdeleter.sip
%Include tdestdaccel.sip
%Include tdestandarddirs.sip
%Include kstringhandler.sip
%Include ktempdir.sip
%Include tdetempfile.sip
%Include tdeuniqueapplication.sip
%Include kurl.sip
%Include twin.sip
%Include twinmodule.sip
%Include netwm.sip
%Include netwm_def.sip
@mark@
